CREATE TABLE User_Config(
  Key TEXT, 
  Value TEXT
);
CREATE TABLE User_MenuStorage(
  CISNum TEXT, 
  TimeStamp TEXT,
  MenuInfo TEXT
);
CREATE TABLE User_QRCodeDetail(
  Id INTEGER primary key autoincrement,
  Name TEXT, 
  Date NUMERIC,
  QRCodeInfo TEXT
);
CREATE TABLE User_BankMessageDetail(
  Id INTEGER primary key autoincrement,
  BankMessageId TEXT,
  BankMessageInfo TEXT,
  BankMessageType TEXT,
  BankMessageDate NUMERIC,
  BankMessageReadFlag INTEGER DEFAULT 1
);
CREATE TABLE User_AdvertingStorage(
  ID INTEGER primary key autoincrement,
  ADV_ID TEXT,
  ADV_KIND TEXT,
  ADV_DESCRIPTION TEXT,
  ADV_SHOW TEXT,
  ADV_BEGINDATE TEXT,
  ADV_ENDDATE TEXT,
  ADV_PICPATH TEXT,
  ADV_LOCALPICPATH TEXT,
  ADV_AREACODE TEXT,
  ADV_URLTYPE TEXT,
  ADV_URL TEXT
);
CREATE TABLE HCE_USERS(
  CINO TEXT primary key,
  USER_NAME TEXT,
  LOGIN_FLAG TEXT,
  CHN_NAME TEXT,
  CUST_YPE TEXT,
  CUST_NO TEXT,
  PAY_MODE TEXT,
  LSTUTIME TEXT,
  CREATETIME TEXT,
  ENGLISH_NAME TEXT,
  SEX TEXT,
  BACKUP1 TEXT,
  BACKUP2 TEXT
);
CREATE TABLE HCE_CARD(
  CARDNO_5A TEXT primary key,
  ISACTIVE TEXT,
  MACARDNO TEXT,
  CARDKIND TEXT,
  EXPRDATE_5F24 TEXT,
  ATC_9F36 TEXT,
  AID_4F BLOB,
  CVM_8E BLOB,
  STATUS INTEGER,
  SEQ_COUNTER TEXT,
  TRACK2_57 BLOB,
  PSN_5F34 BLOB,
  CTQ TEXT,
  ISSUER_APP_DATA_9F10 BLOB,
  ISSUER_COUNTRY_CODE_5F28 TEXT,
  PDOL_9F38 BLOB,
  AIP_82 BLOB,
  APP_LABLE_50 BLOB,
  Card_Trans_Quali_9F6C BLOB,
  Card_Add_Process_9F68 BLOB,
  APP_Currency_Code_9F51 BLOB,
  CardHolder_Name_5F20 BLOB,
  CardValidTime_5F25 TEXT,
  Card_ADA_9F52 TEXT,
  Available_OffSpendingAmount_9F5D BLOB,
  FCI_BF0C BLOB,
  Product_Flag_9F63 BLOB,
  Acc_NickName TEXT,
  Acc_Amount TEXT,
  ENGLISH_NAME TEXT,
  processId TEXT,
  UserP6Id TEXT
);
CREATE TABLE HCE_TRANS_VRIFY_LOG(
  PAN TEXT,
  TRANS_TIMESTAMP TEXT,
  TRANS_UNPREDICABLE_NUMBER TEXT,
  TRANS_ATC TEXT,
  TRANS_FLAG TEXT,
  MPhone_MAC TEXT,
  BACKUP1 TEXT,
  BACKUP2 TEXT,
  primary key(PAN,TRANS_UNPREDICABLE_NUMBER)
);
CREATE TABLE NetWork(
	_id INTEGER primary key autoincrement,
	KEY_NAME TEXT,
	NetWrokDESKEY BLOB,
	VECTOR BLOB
);
CREATE TABLE HCE_LUK_LIST(
	_id INTEGER primary key autoincrement,
	HCE_CARD_NUM TEXT,
	ATC TEXT,
	LUK BLOB,
	LUK_DISPERSION_PARAM TEXT,
	EX_DATE TEXT,
	Usage_Flag INTEGER default 0
);
CREATE TABLE HCE_PBOC(
	_id INTEGER primary key autoincrement,
	CDOL1 TEXT,
	CDOL2 TEXT,
	PDOL_9F38 TEXT,
	SACC_9F76 TEXT,
	Tran_Fail_ID INTEGER,
	Tran_BSCCounter INTEGER,
	LCOL_9F58 TEXT,
	Tran_ATC_LOL_9F13 TEXT,
	CTL_HB_9F53 TEXT,
	Tran_ATC_CTC_hb TEXT,
	CTL_GJ_9F72 TEXT,
	Tran_ATC_CTC_gj TEXT,
	ICC_9F57 TEXT,
	CTTAL_dc_9F75 TEXT,
	CTTAL_9F54 TEXT,
	Tran_CTTA TEXT,
	Tran_CTTA_dc TEXT,
	CCFactor_9F73 TEXT,
	NIC TEXT,
	tagC9Data TEXT,
	arrPIN BLOB,
	IAI_9F56 TEXT,
	PutEAF_9F79 TEXT
);